=== plugins/plugman/libs/CMakeLists.txt ===
add_subdirectory (QZipReader)
