=== plugins/plugman/tools/mirgen/CMakeLists.txt ===
PROJECT (mirgen)

SET (MIRGEN_SOURCES
	main.cpp
)

ADD_EXECUTABLE (mirgen  ${MIRGEN_SOURCES})

TARGET_LINK_LIBRARIES (mirgen
		${QT_LIBRARIES}
		${QZIPREADER_LIBS}
		qzipreader
		)
