=== debian/changelog ===
qutim (0.2.0-0ubuntu9) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:41:38 +0000

qutim (0.2.0-0ubuntu8) utopic; urgency=high

  * No change rebuild against gnutls28.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Aug 2014 23:10:12 +0100

qutim (0.2.0-0ubuntu7) quantal; urgency=low

  * debian/patches/include_uninstd:
    - Include unistd.h, fix FTBFS

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 09 Oct 2012 13:40:08 +0200

qutim (0.2.0-0ubuntu6) maverick; urgency=low

  * Remove libqt4-webkit-dev from build-depends and add libqtwebkit-dev qtwebkit transition

 -- Kiszel Kristóf <ulysses@kubuntu.org>  Wed, 21 Jul 2010 13:03:56 +0200

qutim (0.2.0-0ubuntu5) maverick; urgency=low

  * debian/control: Add libqt4-webkit-dev t build-depends.

 -- Andreas Wenning <awen@awen.dk>  Mon, 24 May 2010 12:01:15 +0200

qutim (0.2.0-0ubuntu4) maverick; urgency=low

  * debian/control:
    - Build-depend on libgnutls-dev for Jabber GnuTLS support.
    - Bumped Standards-Version to 3.8.4.
  * debian/rules:
    - Enable GnuTLS build.
    - Remove execution rights from translation files (*.qm).

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 08 May 2010 13:35:21 +0700

qutim (0.2.0-0ubuntu3) lucid; urgency=low

  * debian/rules: Correctly install localization files. (LP: #535677)

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 27 Mar 2010 16:34:26 +0600

qutim (0.2.0-0ubuntu2) lucid; urgency=low

  * Migrated to 3.0 (quilt) source format.
  * debian/control, debian/rules:
    - Removed quilt references.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 14:41:41 +0600

qutim (0.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version.
    - Use debhelper 7.
    - Updated homepage and long description.
  * debian/copyright:
    - Updated homepage and upstream authors.
    - Fixed copyright symbol.
  * debian/compat:
    - Use 7.
  * debian/rules:
    - Shortened via dh 7. Project uses cmake now.
  * debian/qutim.desktop:
    - Deleted, use patched upstream file.
  * Install manpage via debian/manpages.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 03 Dec 2009 15:09:01 +0600

qutim (0.1-0ubuntu1) intrepid; urgency=low

  [ Alexander Kopf ]
  * Initial release (LP: #240430)

  [ Harald Sitter ]
  * Replace build-conflict on qt3-dev-tools with usage of qmake-qt4
  * Add final full stop to long description

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 18 Jun 2008 15:10:03 +0200
