=== debian/control ===
Source: qutim
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6), libqt4-dev (>= 4.4.0),
 libqtwebkit-dev, chrpath, zlib1g-dev, libidn11-dev, libgnutls-dev
Standards-Version: 3.8.4
Homepage: http://qutim.org

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-protocol instant messenger
 qutIM is an open source, multi-protocol instant messaging client using the
 Qt 4 framework. It implements support for the ICQ, Jabber/XMPP/Google Talk,
 Mail.Ru Agent (MRIM), and IRC protocols, and is further extensible via
 plugins.
