=== debian/rules ===
#!/usr/bin/make -f

DH            = dh --buildsystem=cmake
QMAKE_PLUGINS = histman icq irc vkontakte yandexnarod
CMAKE_PLUGINS = jabber mrim plugman

%:
	$(DH) $@

clean:
	$(DH) clean
	for dir in $(QMAKE_PLUGINS); do \
		[ ! -f plugins/$$dir/Makefile ] || $(MAKE) -C plugins/$$dir distclean; \
	done
	for dir in $(CMAKE_PLUGINS); do rm -rf plugins/$$dir/build; done

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(CFLAGS) -DQT_NO_DEBUG_OUTPUT"
	for dir in $(QMAKE_PLUGINS); do cd plugins/$$dir && qmake-qt4 && cd ../..; done
	for dir in $(CMAKE_PLUGINS); do \
		mkdir -p plugins/$$dir/build && \
		cd plugins/$$dir/build && \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_CXX_FLAGS="$(CFLAGS) -fPIC" -DGNUTLS=1 && \
		cd ../../..; \
	done

override_dh_auto_build:
	dh_auto_build
	for dir in $(QMAKE_PLUGINS); do $(MAKE) -C plugins/$$dir; done
	for dir in $(CMAKE_PLUGINS); do $(MAKE) -C plugins/$$dir/build; done

override_dh_install:
	dh_install
	mkdir -p debian/qutim/usr/share/qutim/languages
	for x in bg_BG cs_CZ de_DE ru uk_UA ; do cp -R languages/$$x/binaries debian/qutim/usr/share/qutim/languages/$$x; done
	chmod 644 debian/qutim/usr/share/qutim/languages/uk_UA/*.qm
	chrpath -d debian/qutim/usr/bin/qutim debian/qutim/usr/lib/qutim/*
